CRMchat APIBeta
Telegram APIPayments

payments.upgradeStarGift

POST
/workspaces/{workspaceId}/telegram-accounts/{accountId}/call/payments.upgradeStarGift

Upgrade a gift to a collectible gift: can only be used if the upgrade was already paid by the gift sender; see here » for more info on the full flow (including the different flow to use in case the upgrade was not paid by the gift sender).

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Path Parameters

workspaceId*string

Workspace ID

accountId*string

Telegram account ID

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

params*

Upgrade a gift to a collectible gift: can only be used if the upgrade was already paid by the gift sender; see here » for more info on the full flow (including the different flow to use in case the upgrade was not paid by the gift sender).

Response Body

application/json

application/json

curl -X POST "https://example.com/workspaces/string/telegram-accounts/string/call/payments.upgradeStarGift" \  -H "Content-Type: application/json" \  -d '{    "params": {      "stargift": {        "_": "inputSavedStarGiftUser",        "msgId": 0      }    }  }'
{  "result": {    "_": "updatesTooLong"  }}